#-----------------------------------------------------------------------------
%global		dist	.ok
#-----------------------------------------------------------------------------
Name		:	ucsd-psystem-fs
Version		:	0.50.6
Release		:	17.2.0.rel%{?dist}
Summary		:	UCSD p-System virtual machine

Packager	:	Osukiss Project <build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/jmrcpn/ucsd-psystem-vm/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	boost-devel
BuildRequires	:	cmake
BuildRequires	:	meson
BuildRequires	:	fuse-devel
BuildRequires	:	libexplain-devel

#-----------------------------------------------------------------------------
%description
The ucsd-psystem-fs package is a collection of
tools for manipulating and mounting the UCSD
p-System disk images

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root, -)
%{_bindir}/ucsdpsys_disk
%{_bindir}/ucsdpsys_fsck
%{_bindir}/ucsdpsys_interleave
%{_bindir}/ucsdpsys_logo
%{_bindir}/ucsdpsys_mkfs
%{_bindir}/ucsdpsys_mount
%{_bindir}/ucsdpsys_rt11
%{_bindir}/ucsdpsys_text
%{_bindir}/ucsdpsys_umount
%{_mandir}/man1/ucsdpsys_disk.1.gz
%{_mandir}/man1/ucsdpsys_fs_license.1.gz
%{_mandir}/man1/ucsdpsys_fsck.1.gz
%{_mandir}/man1/ucsdpsys_interleave.1.gz
%{_mandir}/man1/ucsdpsys_mkfs.1.gz
%{_mandir}/man1/ucsdpsys_mount.1.gz
%{_mandir}/man1/ucsdpsys_rt11.1.gz
%{_mandir}/man1/ucsdpsys_text.1.gz
%{_mandir}/man1/ucsdpsys_umount.1.gz
%{_mandir}/man5/ucsdpsys_fs.5.gz
%{_mandir}/man5/ucsdpsys_text.5.gz


#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
        --bindir=%{_bindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--datadir=%{_datadir}				\
	_bld

meson	compile						\
	-C _bld						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
meson	test						\
		-C _bld					\

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson	install						\
		-C _bld					\
		--destdir=%{buildroot}			\

#-----------------------------------------------------------------------------
%changelog
